definitions:
  orders.GetOrdersReponse:
    properties:
      data:
        items:
          $ref: '#/definitions/orders.OrdersBase'
        type: array
      metadata:
        $ref: '#/definitions/shared.Metadata'
    type: object
  orders.OrderCreateDto:
    properties:
      products:
        items:
          $ref: '#/definitions/orders.Product'
        type: array
    required:
    - products
    type: object
  orders.OrdersBase:
    properties:
      createdAt:
        type: string
      id:
        type: string
      notifyToPayment:
        type: boolean
      products:
        items:
          $ref: '#/definitions/orders.Product'
        type: array
      status:
        type: string
      updatedAt:
        type: string
      userId:
        type: string
    type: object
  orders.Product:
    properties:
      amount:
        type: integer
      name:
        type: string
      price:
        type: number
    type: object
  shared.Metadata:
    properties:
      currentPage:
        type: integer
      pageSize:
        type: integer
      total:
        type: integer
    type: object
info:
  contact: {}
  description: Manage orders
  title: Orders API
  version: "1.0"
paths:
  /backend/orders/{orderId}:
    get:
      consumes:
      - application/json
      operationId: backendGetOrderDetails
      parameters:
      - description: Order ID
        in: path
        name: orderId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Order Info
          schema:
            $ref: '#/definitions/orders.OrdersBase'
      summary: Get an drder details
      tags:
      - order
  /backend/orders/{orderId}/cancel:
    put:
      consumes:
      - application/json
      operationId: backendCancelOrders
      parameters:
      - description: Order ID
        in: path
        name: orderId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Order Info
          schema:
            $ref: '#/definitions/orders.OrdersBase'
      summary: Update an drder
      tags:
      - order
  /backend/orders/{orderId}/confirm:
    put:
      consumes:
      - application/json
      operationId: backedConfirmlOrders
      parameters:
      - description: Order ID
        in: path
        name: orderId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Order Info
          schema:
            $ref: '#/definitions/orders.OrdersBase'
      summary: Update an drder
      tags:
      - order
  /user/orders:
    get:
      consumes:
      - application/json
      operationId: getOrderList
      parameters:
      - enum:
        - CREATED
        - CONFIRMED
        - CANCELLED
        - DELIVERED
        in: query
        name: status
        type: string
      - in: query
        name: page
        type: integer
      - in: query
        name: perPage
        type: integer
      produces:
      - application/json
      responses:
        "200":
          description: Order Info
          schema:
            $ref: '#/definitions/orders.GetOrdersReponse'
      security:
      - ApiKeyAuth: []
      summary: Get order list
      tags:
      - order
    post:
      consumes:
      - application/json
      operationId: createOrders
      parameters:
      - description: Order Info
        in: body
        name: order
        required: true
        schema:
          $ref: '#/definitions/orders.OrderCreateDto'
      produces:
      - application/json
      responses:
        "200":
          description: Order Info
          schema:
            $ref: '#/definitions/orders.OrdersBase'
      security:
      - ApiKeyAuth: []
      summary: Create an order
      tags:
      - order
  /user/orders/{orderId}:
    get:
      consumes:
      - application/json
      operationId: getOrderDetails
      parameters:
      - description: Order ID
        in: path
        name: orderId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Order Info
          schema:
            $ref: '#/definitions/orders.OrdersBase'
      security:
      - ApiKeyAuth: []
      summary: Get an order details
      tags:
      - order
  /user/orders/{orderId}/cancel:
    put:
      consumes:
      - application/json
      operationId: cancelOrders
      parameters:
      - description: Order ID
        in: path
        name: orderId
        required: true
        type: string
      produces:
      - application/json
      responses:
        "200":
          description: Order Info
          schema:
            $ref: '#/definitions/orders.OrdersBase'
      security:
      - ApiKeyAuth: []
      summary: Update an order
      tags:
      - order
securityDefinitions:
  ApiKeyAuth:
    in: header
    name: Access-token
    type: apiKey
swagger: "2.0"
